Skip to main content
Resource Center/Resource Pool/VM Scheduling Rule Group Operations
POSTVM Scheduling Rule Group OperationsSince 4.6.0SynchronousAuth Required

GetVmSchedulingRulesExecuteState

GetVmSchedulingRulesExecuteState

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • uuidsListRequired

      The VM scheduling group UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • ruleMapStateMapRequired

    See ruleMapState

    • ConflictVmSchedulingRuleExecuteStateRequired

      The conflict state.

    • NormalVmSchedulingRuleExecuteStateRequired

      The normal state.

    • InvalidVmSchedulingRuleExecuteStateRequired

      The invalid state.

Endpoint

POST/zstack/v1/get/vmSchedulingRules/conflict/state

/zstack/v1/get/vmSchedulingRules/conflict/state

Operation ID

GetVmSchedulingRulesExecuteState

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/get/vmSchedulingRules/conflict/state' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"uuids":["<uuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "ruleMapState": { "2951e237b86630ac84d8eeb382513260": "Normal" } }

Change History

This API has no change history records yet.

View all change history